Skip to main content
GET
Queries the list of purchase orders.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

FlowAuthorization Code
Authorization URL
https://id.jtl-cloud.com/oauth/v2/authorize
Token URL
https://id.jtl-cloud.com/oauth/v2/token
Scopes1
purchaseorders.read

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Query Parameters

pageNumber
integer<int32>

Number of the page of items to fetch. Defaults to 1 when omitted.

pageSize
integer<int32>

Size of the page specified by PageNumber. Defaults to 100 when omitted.

sortBy
string

Property to sort by. Multiple comma-separated fields are applied in order (OrderBy, then ThenBy).

sortDescending
boolean

Sort in descending order. Defaults to ascending when omitted.

createdAtAfter
string<date-time>

Only include items whose CreatedAt is after (greater than) this value.

createdAtBefore
string<date-time>

Only include items whose CreatedAt is before (less than) this value.

requestedDeliveryDateAfter
string<date-time>

Only include items whose RequestedDeliveryDate is after (greater than) this value.

requestedDeliveryDateBefore
string<date-time>

Only include items whose RequestedDeliveryDate is before (less than) this value.

Response

Paged result.

totalItems
integer<int32>
required
pageNumber
integer<int32>
required
pageSize
integer<int32>
required
items
object[]
required
totalPages
integer<int32>
hasPreviousPage
boolean
hasNextPage
boolean
nextPageNumber
integer<int32>
previousPageNumber
integer<int32>